Create Reporter Run
curl --request POST \
--url https://softmax.com/api/observatory/v2/reporters/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reporter_version_id": "<string>",
"subject": {},
"params": {},
"limits": {},
"publish_post": false,
"debug": false,
"idempotency_key": "<string>"
}
'import requests
url = "https://softmax.com/api/observatory/v2/reporters/runs"
payload = {
"reporter_version_id": "<string>",
"subject": {},
"params": {},
"limits": {},
"publish_post": False,
"debug": False,
"idempotency_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reporter_version_id: '<string>',
subject: {},
params: {},
limits: {},
publish_post: false,
debug: false,
idempotency_key: '<string>'
})
};
fetch('https://softmax.com/api/observatory/v2/reporters/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"reporter_version_id": "<string>",
"subject": {},
"status_url": "<string>",
"output_url": "<string>",
"trace_url": "<string>",
"usage": {},
"output_parts": [
{
"id": "<string>",
"reporter_id": "<string>",
"reporter_run_id": "<string>",
"name": "<string>",
"type": "<string>",
"size_bytes": 123,
"content_hash": "<string>",
"media_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"url": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"running_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Reporters
Create Reporter Run
POST
/
v2
/
reporters
/
runs
Create Reporter Run
Authorizations
Bearer token issued by Softmax
Body
application/json
Pattern:
^rv_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Per-run tightening of the version's granted limits.
Required string length:
5 - 200Response
Successful Response
Available options:
pending, running, completed, failed, cancelled Show child attributes
Show child attributes
⌘I

